I can't get on the server

  • Minecraft Middle Earth is a Minecraft community that recreates the world described by JRR Tolkien and his writings. Everyone can participate in organized events in which we collaborate to create major landmarks, terrain, caves, castles, towns, farms and more.

    To get started, visit The New Player Guide
  • This weekend 20-21 April the website will be unavailable for a few hours for a scheduled upgrade and maintenance. Estimated time that the site will be unavailable will be around 3 hours.

  • This community does not generate revenue and relies on its members and financial contributors to keep it running.

    For a complete month, we would need around 235 USD for a break-even situation.

    Read more...



griffinsous117

Aspiring Commoner
May 13, 2015
1
0
8
20
#1
Everytime I try to get onto the server it says its outdated. I'm currently running 1.9.0 and the server says Spigot 1.8.8, what should I do?
 

mandolore100

Head Guide
Staff member
Head Guide
Dec 26, 2014
406
681
66
24
Texas
#2
Create a 1.8 profile in the start up screen. Anything from 1.8 to 1.8.9 Will work